Package org.apache.sysds.runtime.instructions.fed

## Class CtableFEDInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.fed.FEDInstruction
    - - org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction
      - - org.apache.sysds.runtime.instructions.fed.CtableFEDInstruction

All Implemented Interfaces:
  `LineageTraceable`

    public class CtableFEDInstruction
    extends ComputationFEDInstruction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`FEDInstruction.FederatedOutput, FEDInstruction.FEDType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CtableFEDInstruction` `parseInstruction​(String inst)`
`static CtableFEDInstruction` `parseInstruction​(CtableCPInstruction inst, ExecutionContext ec)`
`static CtableFEDInstruction` `parseInstruction​(CtableSPInstruction inst, ExecutionContext ec)`
`void` `processInstruction​(ExecutionContext ec)` This method should be used to execute the instruction.

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`getLineageItem, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`getFEDInstructionType, getTID, getType, preprocessInstruction, setTID`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, postprocessInstruction, printMe, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Method Detail

#### parseInstruction

    public static CtableFEDInstruction parseInstruction​(CtableCPInstruction inst,
                                                        ExecutionContext ec)

#### parseInstruction

    public static CtableFEDInstruction parseInstruction​(CtableSPInstruction inst,
                                                        ExecutionContext ec)

#### parseInstruction

    public static CtableFEDInstruction parseInstruction​(String inst)

#### processInstruction

    public void processInstruction​(ExecutionContext ec)

Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `Instruction`
Parameters:
  `ec` - execution context